{{notification.text}}

MirGames

eXAAAXe
10.06.11 20:49
0
Здравствуйте.

Скачал ФлешДевелоп, написал немного коду, решил проверить на ошибки.
Но ругается. Наверное от того что ФлешДевелоп всего лишь редактор кода, а не компилятор.
Слышал есть Флекс, скачал. Но не смог найти как он устанавливается.

Просьба объяснить как подружить ФлешДевелоп с Флеком.

З.Ы. Не знаю в какую ветку правильнее разместить.
#1
аксакал
12.06.11 22:19
0
Скачиваешь Flex SDK и распаковываешь архив куда-нибудь.

Во FlashDevelop -> Project -> Properties -> Compiler Options -> "Custom Path to Flex SDK" указываешь путь до директории в которую распаковал.
#2
eXAAAXe
14.06.11 23:02
0
Спасибо.

Решил написать Хелло Ворд, но не получается:

Код

package
{
    import flash.display.Sprite;
    import flash.events.Event;
    
    public class Main extends Sprite
    {
        
        public function Main():void
        {
            if (stage) init();
            else addEventListener(Event.ADDED_TO_STAGE, init);
        }
        
        private function init(e:Event = null):void
        {
            removeEventListener(Event.ADDED_TO_STAGE, init);
            // entry point
            
            trace("Hello, World!!!");
        }
        
    }
    
}




Пишет:

Код

Running process: E:\Program Files\FlashDevelop\Tools\fdbuild\fdbuild.exe "E:\Flash\New Project\New Project.as3proj" -ipc b50be6b7-0c80-4fd4-8e26-ea8c2a45a17f -compiler "E:\MY_DATA\Delphi-Материалы\Delphi - материалы\Новая папка\flex_sdk_4.5.0.20967" -library "E:\Program Files\FlashDevelop\Library"
Using the Flex Compiler Shell.
Building New Project
mxmlc -load-config+=obj\NewProjectConfig.xml -debug=true -incremental=true -benchmark=false -static-link-runtime-shared-libraries=true -o obj\NewProject634436956328284960
INITIALIZING: Failed, unable to run compiler
Unable to start java.exe: Не удается найти указанный файл
Could not compile because the fcsh process could not be started.
Build halted with errors (fcsh).
Done(1)



Что ему надо?

И да, ещё вопрос: Tools -> Programms setting -> AS3 Contects - > FLEX sdk location.
Тот же путь надо прописывать???
#3
16.06.11 07:51
0
Нужно правильно установить. Никаких Flex SDK отдельно не скачивал - все есть в установочном комплекте FlashDevelop (либо сразу есть, либо он сам скачивает все необходимое - уже не помню).

Вот последняя версия с оф. сайта: http://www.flashdevelop.org/downloads/rele...p-3.3.4-RTM.exe
Отредактировано: 16.06.11 07:52
#4
eXAAAXe
16.06.11 11:33
0
beisik.

Хм, странно.
Я когда скачивал, то установка была без всяких Флексов.
Хотя галочки все стояли.

Снес старый. Установил новый, в другую директорию.
Те же ошибки при компиляции того же стандартного кода.

В чём дело???


ПОМОГИТЕ, НУ ОЧЕНЬ СРОЧНО НАДО!!!
#5
eXAAAXe
16.06.11 11:36
0
Какую то java.exe требует.

Что делать???
#6
Швец, жнец, на дуде игрец
16.06.11 12:05
0
eXAAAXe
"Какая-то java.exe" - круто. :)
Скачайте Java Runtime Environment, и все сразу заработает.
#7
Хранитель Флейма
16.06.11 15:01
0
eXAAAXe
В армию бездельник! :lol:
#8
16.06.11 16:32
0
Цитата(Podust @ Сегодня, 04:05)
[snapback]108119[/snapback]
Скачайте Java Runtime Environment, и все сразу заработает.



Что ж ты ему JRE даёшь )) Это как-то не по програмерски. Для реальных чотких программеров лучше JDK сразу ставить.. Там если чо и инструмента поболе..

PS Забыл что оракл выкупил джаву - увидел логотип - спугался )) До сих пор от воспоминаний об субд оракл в дрожь бросает )
Отредактировано: 16.06.11 16:35
#9
eXAAAXe
21.06.11 06:35
0
Said, умник, никто не говорил ставить Джаву.

Всем спасибо, разобрался. :D
#10
Хранитель Флейма
21.06.11 14:31
0
eXAAAXe
После "какую-то java.exe требует" только в армию, если скил RTFM будет не освоен. :) А так - шансы есть, удачи.
#11
eXAAAXe
22.06.11 15:24
0
Said

Туго мне придёться, высокотемпературный ферромагнетизм полупроводников (RTFM) - сложная хрень.
А так, я только Акшин Скрипт 3 немного и Дельфи знаю.
Джавы как то не требовались есчо.
Всем спасибо!

:D
#{{post.Index}}
{{post.Author.Login}}
{{post.CreatedDate | date:'dd.MM.yy HH:mm'}}
{{post.VotesRating}}
Отредактировано: {{post.UpdatedDate | date:'dd.MM.yy HH:mm'}}